# Class Achv

#### Hierarchy (view full)

- Achv
  - MoneyAchv
  - RibbonAchv
  - DamageAchv
  - HealAchv
  - LevelAchv
  - ModifierAchv
  - ChallengeAchv

- Defined in src/system/achv.ts:16

#####
Index

### Constructors

constructor

### Properties

conditionFunc
description
hasParent
iconImage
id
localizationKey
name
parentId
score
secret

### Methods

getDescription
getIconImage
getName
getTier
setSecret
validate

## Constructors

### constructor

- new Achv(localizationKey, name, description, iconImage, score, conditionFunc?): Achv

- #### Parameters

  - localizationKey: string
  - name: string
  - description: string
  - iconImage: string
  - score: number
  - `Optional` conditionFunc: ((scene, args) => boolean)
    - - (scene, args): boolean

      - #### Parameters

        - scene: default
        - args: any[]

        #### Returns boolean

  #### Returns Achv

  - Defined in src/system/achv.ts:30

## Properties

### `Private` conditionFunc

conditionFunc: ((scene, args) => boolean)

#### Type declaration

- - (scene, args): boolean

  - #### Parameters

    - scene: default
    - args: any[]

    #### Returns boolean

- Defined in src/system/achv.ts:28

### description

description: string

- Defined in src/system/achv.ts:20

### hasParent

hasParent: boolean

- Defined in src/system/achv.ts:25

### iconImage

iconImage: string

- Defined in src/system/achv.ts:21

### id

id: string

- Defined in src/system/achv.ts:18

### localizationKey

localizationKey: string

- Defined in src/system/achv.ts:17

### name

name: string

- Defined in src/system/achv.ts:19

### parentId

parentId: string

- Defined in src/system/achv.ts:26

### score

score: number

- Defined in src/system/achv.ts:22

### secret

secret: boolean

- Defined in src/system/achv.ts:24

## Methods

### getDescription

- getDescription(): string

- #### Returns string

  - Defined in src/system/achv.ts:44

### getIconImage

- getIconImage(): string

- #### Returns string

  - Defined in src/system/achv.ts:48

### getName

- getName(): string

- #### Returns string

  - Defined in src/system/achv.ts:39

### getTier

- getTier(): AchvTier

- #### Returns AchvTier

  - Defined in src/system/achv.ts:62

### setSecret

- setSecret(hasParent?): this

- #### Parameters

  - `Optional` hasParent: boolean

  #### Returns this

  - Defined in src/system/achv.ts:52

### validate

- validate(scene, args): boolean

- #### Parameters

  - scene: default
  - args: any[]

  #### Returns boolean

  - Defined in src/system/achv.ts:58